###

###

###

###

###

###

    GETGID(2)           Linux Programmer's Manual           GETGID(2)

    NAME
           getgid, getegid - get group identity

    SYNOPSIS
           #include <unistd.h>

           gid_t getgid(void);
           gid_t getegid(void);

    DESCRIPTION
           getgid returns the real group ID of the current process.

           getegid returns the effective group ID of the current pro-
           cess.

           The real ID corresponds to the ID of the calling  process.
           The effective ID corresponds to the set ID bit on the file
           being executed.

    ERRORS
           These functions are always successful.

    CONFORMS TO
           POSIX, BSD 4.3

### SEE ALSO

setregid, setgid,

###

    Linux 0.99.11              23 July 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0